DeploymentException (Java Card SPI, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javacard.spi.cardmgmt
Class DeploymentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.javacard.spi.cardmgmt.DeploymentException

    @TransactionType(value=NOT_SUPPORTED)
    public class DeploymentException

extends Exception

A `DeploymentException` is thrown by the `DeploymentUnitLoader` `load` method when an error or exception occurs while loading.

Since:
  Java Card 3.0
See Also:
  `DeploymentUnitLoader`

Constructor Summary
`DeploymentException()` Constructs a `DeploymentException`.
`DeploymentException(String s)` Constructs a `DeploymentException` with the specified detail message.
`DeploymentException(String s, Throwable cause)` Constructs a `DeploymentException` with the specified detail message and cause.

Method Summary
`Throwable` | `getCause()` Returns the cause of this exception.
`String` | `getMessage()` Returns the detail message, including the message from the cause, if any, of this exception.

Methods inherited from class java.lang.Throwable
`printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeploymentException

    public DeploymentException()

  Constructs a `DeploymentException`.

### DeploymentException

    public DeploymentException(String s)

  Constructs a `DeploymentException` with the specified detail message.

  Parameters:
    `s` - the detail message

### DeploymentException

    public DeploymentException(String s,
                               Throwable cause)

  Constructs a `DeploymentException` with the specified detail message and cause.

  Parameters:
    `s` - the detail message
    `cause` - the cause

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message, including the message from the cause, if any, of this exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message

### getCause

    public Throwable getCause()

  Returns the cause of this exception.

  Returns:
    the cause, which may be `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.